#!/bin/bash
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Change Log: 
#     June 16, 2004 - JC: created
#     June 22, 2004 - JC: convert TIO_PRMGRP to variable 
#     June 22, 2004 - TL: only change the files touched by fp installer 
#     June 22, 2004 - JC: added chmod 
#     June 23, 2004 - JC: fixed TIOPRMGRP
#     June 23, 2004 - JC: chnaged ptfs location from $CURRENT_DIR to $CURRENT_DIR/..
#     June 25, 2004 - JC: chmod and chown for $CYG_DIR
#

# Decsription:
#    filter postScript to change the ownership and permission of touched files in $TIO_HOME as per preinstall
#----------------------------------------------------------------------------------


echo "TC-I-OWNERSHIP: changing file ownership to tioadmin"
echo "TC-I-PERMISSION: changing script file permission to executable"

TIO_PRMGRP=`id tioadmin | cut -d ' ' -f2- | cut -d ')' -f1 | cut -d '(' -f2`

CURRENT_DIR=`dirname $0`
[ "$CURRENT_DIR" = "." ] && CURRENT_DIR=`pwd`

CYG_DIR=`cygpath -sw "$CURRENT_DIR"`


for FILE in `$JAVA_HOME/bin/jar -tvf $CYG_DIR/../ptfs/tpm20_fp1_win/components/tpm/update.jar | cut -d / -f2-`
do
	if [ -f "$TIO_HOME/$FILE" ]; then
		chown -f tioadmin:$TIO_PRMGRP $TIO_HOME/$FILE
	fi
done

for FILE in `$JAVA_HOME/bin/jar -tvf $CYG_DIR/../ptfs/tpm20_fp1_win/components/language/update.jar | cut -d / -f2-`
do
	if [ -f "$TIO_HOME/$FILE" ]; then
		chown -f tioadmin:$TIO_PRMGRP $TIO_HOME/$FILE
	fi
done

for FILE in `$JAVA_HOME/bin/jar -tvf $CYG_DIR/../ptfs/tpm20_fp1_win/components/tpm/update.jar | cut -d / -f2- | grep -E ".sh|.bat|.cmd"`
do
	if [ -f "$TIO_HOME/$FILE" ]; then
		chmod -f 755 $TIO_HOME/$FILE
	fi
done

for FILE in `$JAVA_HOME/bin/jar -tvf $CYG_DIR/../ptfs/tpm20_fp1_win/components/language/update.jar | cut -d / -f2- | grep -E ".sh|.bat|.cmd"`
do
	if [ -f "$TIO_HOME/$FILE" ]; then
        	chmod -f 755 $TIO_HOME/$FILE
	fi
done

echo TC-I-ChangeCurrentDir: change ownership and permission to utils directory
chown -fR tioadmin:$TIO_PRMGRP $CYG_DIR
chmod -fR 755 $CYG_DIR

