#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

if [ -e ./pics_env.sh ]
then
	. ./pics_env.sh
else
	printf "pics_env.sh file not found\n\n"
	exit 1
fi

cat << EOFEOF > pics.req

-W ActivateChoicePanel.active="False"
-W DB2ProductRequirements.install="true"
-W DB2Requirements.location="PRODUCT"
-W DB2Requirements.locationDirectory="$DB2_HOME"
-W DB2Requirements.installFiles="PRODUCT"
-W DB2Requirements.installFilesDirectory="$DB2_SRC"
-W DB2Requirements.fixpackInstallFiles="PRODUCT"
-W DB2Requirements.fixpackInstallFilesDirectory="$DB2_FIXPACK_SRC"
-W DB2Requirements.notFound="PRODUCT : Install new DB2"
-W DB2Requirements.found="PRODUCT : Use Existing DB2"
-W DB2Requirements.configuration="DEFAULT"
-W DB2Requirements.username="$DB_ADMIN_USER"
-W DB2Requirements.password="$DB_ADMIN_PWD"
-W DB2Requirements.server="true"
-W DB2Requirements.client="false"
-W DB2Requirements.clientInstallFiles="PRODUCT"
-W DB2Requirements.clientInstallFilesDirectory="C:\Files\win32\installDB2\client"
-W DB2Requirements.clientFixpackInstallFiles="PRODUCT"
-W DB2Requirements.clientFixpackInstallFilesDirectory="C:\Files\win32\installDB2\client\fixpack"
-W LDAPProductRequirements.install="true"
-W LDAPRequirements.location="PRODUCT"
-W LDAPRequirements.locationDirectory="$ITDS_HOME"
-W LDAPRequirements.installFiles="PRODUCT"
-W LDAPRequirements.installFilesDirectory="$LDAP_SRC"
-W LDAPRequirements.notFound="PRODUCT : Install new LDAP"
-W LDAPRequirements.found="PRODUCT : Use Existing LDAP"
-W LDAPRequirements.configuration="USER"
-W LDAPRequirements.client="true"
-W LDAPRequirements.webAdmin="false"
-W LDAPRequirements.server="true"
-W BaseProductRequirements.install="true"
-W BaseRequirements.location="PRODUCT"
-W BaseRequirements.locationDirectory="$WAS_HOME"
-W BaseRequirements.installFiles="PRODUCT"
-W BaseRequirements.installFilesDirectory="$WAS_SRC"
-W BaseRequirements.fixpackInstallFiles="PRODUCT"
-W BaseRequirements.fixpackInstallFilesDirectory="$WAS_FIXPACK_SRC"
-W BaseRequirements.notFound="PRODUCT : Install new WAS"
-W BaseRequirements.acceptable="PRODUCT : Use existing WAS"
-W BaseRequirements.unacceptable="PRODUCT : Install new WAS"
-W BaseRequirements.customer="PRODUCT : Install new WAS"
-W BaseRequirements.conflicts="PRODUCT : Install new WAS"
-W BaseRequirements.multipleVersions="PRODUCT : Use highest version"
-W BaseRequirements.configuration="DEFAULT"
# The Websphere Application Server configuration values (only modify if configuration="PRODUCT").
-W BaseRequirements.nodeName="DefaultNode"
-W BaseRequirements.hostName="auto"
-W BaseRequirements.bootstrapPort="2810"
-W BaseRequirements.httpTransportPort="9086"
-W BaseRequirements.httpsTransportPort="9044"
-W BaseRequirements.adminConsolePort="9091"
-W BaseRequirements.secureAdminConsolePort="9444"
-W BaseRequirements.csiServerAuthListenerAddr="0"
-W BaseRequirements.csiMutualAuthListenerAddr="0"
-W BaseRequirements.sasSSLServerAuthAddr="0"
-W BaseRequirements.jmsServerDirectAddress="5569"
-W BaseRequirements.jmsServerSecurityPort="5567"
-W BaseRequirements.jmsServerQueuedAddress="5568"
-W BaseRequirements.soapConnectorAddress="8881"
-W BaseRequirements.drsClientAddress="7874"
-W BaseRequirements.ihsPort="81"
-W BaseRequirements.ihsAdminPort="8009"
 
EOFEOF

cp pics.req "`echo $PICS_SRC | sed -e 's/\\\/\//g'`"

cd "`echo $PICS_SRC | sed -e 's/\\\/\//g'`"

printf "Installing DB2, WAS and ITDS....\n\n"

cmd /c "start /W setupwin32.exe -options pics.req -silent"
RC=$?

if [ $RC -ne 0 ]; then
   echo " Prerequisite installation failed, please check logs under "$INSTALL_HOME"/PreReq_Installation_Logs directory"
   ./Copy_Pics_Logs.sh >> ./tpm_install.log
   exit 2
fi

#
# Copy DB2, LDAP, WAS installation files from PICS Logs directory:
# C:\Program Files\ibm\pics\logs
#
./Copy_Pics_Logs.sh >> ./tpm_install.log


if [ -f "$(cygpath -PA)/Startup/First Steps.lnk" ]; then
	rm "$(cygpath -PA)/Startup/First Steps.lnk"
fi

fs_path=$(cygpath -PA)
cd "$PICS_SRC"/tpm_install

$WAS_HOME/java/bin/java RmFile "$fs_path" "First Steps.lnk" 2>&1
errt=$?
#printf "\n\n$errt\n\n"

if [ $errt -eq 2 -o $errt -eq 4 ]; then
        printf "%%TPM_PICS_INSTALL : Can not delete First Steps link: $errt\n\n"
        exit 101
fi
