#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

POSTINST_HOME=`dirname "$0"`
[ ""$POSTINST_HOME"" = "." ] && POSTINST_HOME=`pwd`

# Varify env file
# tmp dir and backup dir
TMP_DIR=/var/tmp/postinst_`date +'%b-%d-%y'`
[ ! -d $TMP_DIR ] && mkdir $TMP_DIR
mkdir "$TMP_DIR"/ldap_cfg

PLATFORM=`uname`
case $PLATFORM in
        CYGWIN*)
		cat "$POSTINST_HOME"/ldap_env.sh  |sed -e "s/\//\\\/g" > $TMP_DIR/ldap_cfg/ldap_env_tmp.sh
                cp -f $TMP_DIR/ldap_cfg/ldap_env_tmp.sh  "$POSTINST_HOME"/ldap_env.sh
                # stop service IBM Tivoli Directory Server V5.2
				./netwrp.sh stop "IBM Tivoli Directory Server V5.2"
				if [ $? -ne 0 ]; then
                	echo "%POSTINST_BACH-E-STOPSERVICE, failed to stop service IBM Tivoli Directory Server V5.2"
                	exit 60
                fi
                ;;
        *)
                ;;
esac

# set env variables
. "$POSTINST_HOME"/ldap_env.sh

# Create LDAP DB user/pwd
net user "$LDAP_DB_ADMIN_USER" "$LDAP_DB_ADMIN_PWD" /add  /expires:never
if [ $? -ne 0 ]; then
        echo "%POSTINST_CFG_ITDS-E-USER, failed to create user $LDAP_DB_ADMIN_USER"
        exit 61
fi

net localgroup $admin_group "$LDAP_DB_ADMIN_USER" /add
if [ $? -ne 0 ]; then
        echo "%POSTINST_CFG_ITDS-E-GROUP, failed to add $LDAP_DB_ADMIN_USER to group $admin_group"
        exit 62
fi

# run ibmds_configdb.sh
my_dir=`cygpath -sw "$POSTINST_HOME"`
#cmd /c "$my_dir\ibmds_configdb.bat  \"$ITDS_HOME\" \"$LDAP_ADMIN_DN\" \"$LDAP_ADMIN_PWD\" \"$LDAP_DB_ADMIN_USER\" \"$LDAP_DB_ADMIN_PWD\" \"$LDAP_DB_HOME\" \"$LDAP_DB_NAME\" \"$CYG_ROOT\""
LDAP_DB_HOME_UNIX="`cygpath -u \"$LDAP_DB_HOME\"`"
[ ! -d "$LDAP_DB_HOME_UNIX" ] && mkdir -p "$LDAP_DB_HOME_UNIX"
echo  "$my_dir\ibmds_configdb.bat  \"$ITDS_HOME\" \"$LDAP_ADMIN_DN\" \"$LDAP_ADMIN_PWD\" \"$LDAP_DB_ADMIN_USER\" \"$LDAP_DB_ADMIN_PWD\" \"$LDAP_DB_HOME\" \"$LDAP_DB_NAME\" \"$CYG_ROOT\"" > my.cmd
chmod 754 my.cmd
cmd /c "my.cmd"

if [ $? -ne 0 ]; then
	echo "%POSTINST_CFG_ITDS-E-FAIL, failed to config ldap"
	exit 63
fi 
echo "%POSTINST_CFG_ITDS-I-DONE, successfully config ldap"


