#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

POSTINST_HOME=`dirname "$0"`
[ "$POSTINST_HOME" = "." ] && POSTINST_HOME=`pwd`

# Validate parameters
NUM_PARA=2
if [ $NUM_PARA -ne $# ]; then
        echo "%POSTINST_DB2_HOTFIX-I-Usage, `basename $0` <DB2_HOTFIX_DIR> <DB2_HOTFIX_PKG>"
        exit $LINENO
fi

#
# Define localy used environment variables
#
DB2_HOTFIX_DIR="$1"
DB2_HOTFIX_PKG="$2"

DB2_HOTFIX_WIN=`cygpath -sw "$DB2_HOTFIX_DIR/$DB2_HOTFIX_PKG"`
if [ $? -ne 0 ]; then
	echo "%POSTINST_DB2_HOTFIX-E-CYGPATH, convert $DB2_HOTFIX_DIR/$DB2_HOTFIX_PKG fail"
	exit $LINENO
fi

cmd /c "$DB2_HOTFIX_WIN -f"

if [ $? -ne 0 ]; then
	echo "%POSTINST_DB2_HOTFIX-E-RESULT,failed to install hotfix"
	exit $LINENO
fi

echo "%POSTINST_DB2_HOTFIX-I-DONE, successfully applied hotfix"

 
