#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

POSTINST_HOME=`dirname "$0"`
[ "$POSTINST_HOME" = "." ] && POSTINST_HOME=`pwd`

# Validate parameters
NUM_PARA=3
if [ $NUM_PARA -ne $# ]; then
        echo "%POSTINST_DB2_LIC-I-Usage, `basename $0` <DB2_HOME> <DB2_IMAGE_DIR> <LICENSE_FILE>"
        exit $LINENO
fi

#
# Define localy used environment variables
#
DB2_HOME="$1"
#DB2_IMAGE_DIR="`echo $2|sed -e 's/ /\\ /g'`"
DB2_IMAGE_DIR="$2"
LICENCE_FILE="$3"

DB2_LIC_FILE_CYG=`cygpath -u "$DB2_IMAGE_DIR/$LICENCE_FILE"`
DB2_LIC_FILE_WIN=`cygpath -sw "$DB2_IMAGE_DIR/$LICENCE_FILE"`
DB2_LIC_CMD_CYG=`cygpath -u "$DB2_HOME/bin/db2licm.exe"`
DB2_LIC_CMD_WIN=`cygpath -sw "$DB2_HOME/bin/db2licm.exe"`

# run db2licm cmd
if [ ! -f "$DB2_LIC_FILE_CYG" ]; then
	echo "%POSTINST_DB2_LIC-E-FILE, $DB2_IMAGE_DIR/$LICENCE_FILE does not exist"
	exit $LINENO
fi

if [ ! -x "$DB2_LIC_CMD_CYG" ]; then
	echo "%POSTINST_DB2_LIC-E-FILE,  $DB2_HOME/bin/db2licm does not exist or is not executable"
	exit $LINENO
fi

result=`cmd /c "$DB2_LIC_CMD_WIN  $DB2_LIC_FILE_WIN"| grep "DBI1402I License added successfully" | wc -l `

if [ $result -ne 1 ]; then
	echo "%POSTINST_DB2_LIC-E-DB2LICM, failed to register db2 license"
	exit $LINENO
fi

echo "%POSTINST_DB2_LIC-I-DONE, successfully registered db2 license"

 
