#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

POSTINST_HOME=`dirname "$0"`
[ "$POSTINST_HOME" = "." ] && POSTINST_HOME=`pwd`

# Validate parameters
NUM_PARA=2
if [ $NUM_PARA -ne $# ]; then
        echo "%POSTINST_MQFIX-I-Usage, `basename $0` <MQ_HOME> <MQ_FIX_DIR>"
        exit $LINENO
fi

MQ_HOME="$1"
MQ_FIX_DIR_CYG=`cygpath -u "$2"`
TRG_DIR="$MQ_HOME/Java/lib"

TMP_DIR=/var/tmp/postinst_`date +'%b-%d-%y'`
mkdir $TMP_DIR/mq_bk

#Check fix dir
if [ ! -d "$MQ_FIX_DIR_CYG" ]; then
  	echo "%POSTINST_MQFIX-E-DIR, $MQ_FIX_DIR_CYG does not exist"
	exit $LINENO
fi

cd "$MQ_FIX_DIR_CYG"
for name in `ls -1`
do
	if [ -f "$TRG_DIR/$name" ]; then
		mv "$TRG_DIR/$name" "$TMP_DIR"/mq_bk
		cp $name "$TRG_DIR"
		if [ $? -ne 0 ]; then
			echo "%POSTINST_MQFIX-E-CP, failed to copy $name to $TRG_DIR"
			exit $LINENO
		fi
	else
		echo "%POSTINST_MQFIX-E-FILE, $TRG_DIR/$name does not exist"
		exit $LINENO
	fi
done

echo "%POSTINST_MQFIX-I-DONE, successfully applied MQ fix"

