@echo off
REM Copyright IBM Corp. 2000-2001
REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
REM All Rights Reserved * Licensed Materials - Property of IBM
REM US Government Users Restricted Rights - Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM Description: post install script to redeploy TCEAR
REM
REM Description: master postinstall script

REM
REM
@echo off

IF "%TC_ROOT%" == "" GOTO missingEnvVariable
IF "%WAS_HOME%" == "" GOTO missingEnvVariable
IF "%TIO_HOME%" == "" GOTO missingEnvVariable

set USERNAME=%1
set PASSWORD=%2

IF "%USERNAME%" == "" GOTO missingParameter
IF "%PASSWORD%" == "" GOTO missingParameter

REM Echo start of postinstall

REM echo check if the user is tioadmin
REM %TC_ROOT%\bin\bash --login -c "id | cut -d ' ' -f1 | grep tioadmin" 
REM IF %ERRORLEVEL% == 1 GOTO message

REM :migrationRepair
REM IF NOT EXIST %TIO_HOME%\properties\version\thinkcontrol.component GOTO JMSAuthority
REM %TC_ROOT%\bin\bash --login -c "cd $TIO_HOME; find . -type f \( -name '*.sh' -o -name '*.bat' -o -name '*.cmd' -o -name '*.pl' -o -name '*.exp' \) -exec chmod 755 {} \;; chmod -R u+rw,g+r ."
REM IF %ERRORLEVEL% == 1 GOTO migrationMessage

:JMSAuthority
echo add tioadmin to JMS authority
%TC_ROOT%\bin\bash --login -c "CELL=`echo $HOSTNAME | cut -d '.' -f1`; $TIO_HOME/tools/updateMQAdminUserId.cmd $WAS_HOME $CELL tioadmin"
%TC_ROOT%\bin\bash --login -c "CELL=`echo $HOSTNAME | cut -d '.' -f1`; $TIO_HOME/tools/updateMQAdminUserId.cmd $WAS_HOME $CELL $USER"
IF %ERRORLEVEL% == 1 GOTO JMSMessage 

Echo Re-Deploying updated TCEAR 

:startWas
call %WAS_HOME%\bin\startServer server1 -username %USERNAME% -password %PASSWORD%

:redeploy
%TC_ROOT%\bin\bash --login -c "$TIO_HOME/tools/was_deploy.sh %USERNAME% %PASSWORD%"

:stopWas
call %WAS_HOME%\bin\stopServer server1 -username %USERNAME% -password %PASSWORD% 

REM :addLocale
REM echo Adding the locale tab in configuration
REM call %TIO_HOME%\tools\localeFix.cmd

REM :patch schema
REM echo Patching the schema
REM %TC_ROOT%\bin\bash --login -c "$TIO_HOME/tools/patch.cmd $TIO_HOME/config/dcm.xml" 

REM :reloadDriver
REM echo Reloading all TC drivers
REM call %TIO_HOME%\tools\post-install.cmd
REM GOTO done

:patch log.properties
echo Patching log.properties
%TC_ROOT%\bin\bash --login -c '$TIO_HOME/tools/patch_log.sh'
GOTO done

:missingEnvVariable
echo undefined environment variable, please ensure the WAS_HOME and TC_ROOT is set
GOTO done

:missingParameter
echo missing parameter. Usage: postinstall [WAS admin user] [WAS admin password] 
GOTO done

:message
echo must be tioadmin to run the postinstall, exiting
GOTO done

:migrationMessage
echo must change files in %TIO_HOME% to be readable, writable, and executable to tioadmin, exiting
GOTO done

:JMSMessage
echo  must run %TIO_HOME%\tools\updateMQAdminUserId.cmd to add tioadmin into JMSAuthorization ID
echo exiting
GOTO done

:done
echo end of [postinstall]
