#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

rm -f tiosec.inf tiosec.sdb

secedit /export /cfg tiosec.inf /areas USER_RIGHTS
if [ $? -ne 0 ]; then
	echo "Error exporting the security policy for tioadmin"
	exit 2
fi

iconv -f UTF-16 -t UTF-8 tiosec.inf | gawk 'BEGIN {FS="\r"}; /SeServiceLogonRight/ {print $1",tioadmin"}; $1 !~ "SeServiceLogonRight" {print $1}' > tiosec.$$
mv tiosec.$$ tiosec.inf

secedit /import /db tiosec.sdb /cfg tiosec.inf
secedit /configure /db tiosec.sdb /cfg tiosec.inf
if [ $? -ne 0 ]; then
	echo "Error updating the local security policy for user tioadmin"
	exit 2
fi

rm -f tiosec.inf tiosec.sdb