#!/usr/bin/env bash

# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003, 2004
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

usage() {
	printf "\nUsage: $0 [option]\noption:\n\tcontinue\t-continue from the last point of failure\n"
	printf "\treinstall\t-restart the installation from the begining\n\n"
	printf "If no option is provided, a normal installation will be performed\n\n"
}

if [ "$#" -gt 1 ]; then
	usage
	exit 101
fi
#awk_cmd=gawk

#if [ -e ./exec-flow.txt ]
#then
#	exec_sequence=./exec-flow.txt
#else
#	printf "Task file not found\n\n"
#	exit 1
#fi

cp $exec_sequence ./exec-flow.iteration
IFS=";"
		
case $1 in
	continue)
		cat ./exec-flow.iteration | while read task_name command_name status
		do
			case $status in
				ready)
					;;
				not_ready)
					;;
				failed)
					status=not_ready
					cat $exec_sequence | $awk_cmd \
											'BEGIN { FS = ";" }; \
											$0 ~ task_name {print $1";"$2";"status}; \
											$0 !~ task_name {print $0}' task_name=^"$task_name" status=$status \
											> ./exec-flow-tmp.$$
					/bin/mv ./exec-flow-tmp.$$ $exec_sequence
					;;
				*)
					;;
			esac
			
			if [ "$task_name" = "Environment Setup" ]; then
				status=not_ready
				cat $exec_sequence | $awk_cmd \
										'BEGIN { FS = ";" }; \
										$0 ~ task_name {print $1";"$2";"status}; \
										$0 !~ task_name {print $0}' task_name=^"$task_name" status=$status \
										> ./exec-flow-tmp.$$
				/bin/mv ./exec-flow-tmp.$$ $exec_sequence
			fi
		done
		;;
	reinstall)
		cat ./exec-flow.iteration | while read task_name command_name status
		do
			if [ "$status" = "failed" -o "$status" = "ready" ]; then
				status=not_ready
				cat $exec_sequence | $awk_cmd \
										'BEGIN { FS = ";" }; \
										$0 ~ task_name {print $1";"$2";"status}; \
										$0 !~ task_name {print $0}' task_name=^"$task_name" status=$status \
										> ./exec-flow-tmp.$$
				/bin/mv ./exec-flow-tmp.$$ $exec_sequence
			fi			
		done		
		;;
	"")
		;;
	*)
		usage
		exit 101
		;;
esac