@echo off
@REM
@REM Licensed Materials - Property of IBM
@REM 5724-F75
@REM (C) Copyright IBM Corp.  2003, 2004
@REM All Rights Reserved
@REM US Government Users Restricted Rights -Use, duplication or 
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM Silent Update Installer

@REM set DEBUG_UPDATE=yes to turn on debugging statements
@set DEBUG_UPDATE=no

@if defined echo (echo %echo% ) else echo off
@setlocal

set type=%1
set option=%2
set todinstallDir=%3
set fixpackID=%4
set installFixpackDir=%5
set LaunchTitle=updateSilent.bat

if /I "%type%" == "" goto usage
if /I "%option%" == "" goto usage

@REM Set classpath for commandline installer
SET CLASSPATH="%~dp0installer.jar"
SET INSTALLROOT=%~dp0

:check_java
IF "%JAVA_HOME%" == "" goto java_home_not_set

:check_java_exe
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" goto java_exe_missing

:debug_switch
IF "%DEBUG_UPDATE%" == "no" goto LaunchInstaller 
Echo Start of [ %LaunchTitle% ]
Echo Verifying installer.jar:
IF EXIST "%~dp0installer.jar" echo Found installer.jar
Echo JAVA_HOME was set.
Echo JAVA_HOME: [ %JAVA_HOME% ]
Echo Install Root: %INSTALLROOT%
goto LaunchInstaller

:java_home_not_set
Echo JAVA_HOME and WAS_HOME must be set before launching the update wizard:
Echo Set JAVA_HOME and WAS_HOME manually with the WAS_HOME/bin/setupCmdLine.bat script.
Echo Exiting.
Echo.
goto End

:java_exe_missing
Echo JAVA_HOME\bin\java missing
Echo Exiting.
Echo.
goto End

:LaunchInstaller
if /I "%type%" == "fixpack" goto fixpack
if /I "%type%" == "fix" goto fix
goto usage

:fixpack
if "%option%" == "list" goto listinstall
if "%option%" == "install" goto install
if "%option%" == "uninstall" goto uninstall
goto end

:install
if "%3%" == "" goto usage
if "%4%" == "" goto usage
if "%5%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack "-%option%" -installDir "%todinstallDir%" -fixpackDir "%installFixpackDir%" -fixpackID %fixpackID% -skipMQ -skipIHS
"%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack "-%option%" -installDir "%todinstallDir%" -fixpackDir "%installFixpackDir%" -fixpackID %fixpackID% -skipMQ -skipIHS
goto end

:uninstall
if "%3%" == "" goto usage
if "%4%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack "-%option%" -installDir "%todinstallDir%" -fixpackID %fixpackID%
"%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector  -fixpack "-%option%" -installDir "%todinstallDir%" -fixpackID %fixpackID%
goto end

:listinstall
if "%3%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack -installDir "%todinstallDir%"
"%JAVA_HOME%\bin\java" -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack -installDir "%todinstallDir%"
goto end

:fix
if "%option%" == "list" goto listinstall
if "%option%" == "install" goto install
if "%option%" == "uninstall" goto uninstall
goto end

:install
if "%3%" == "" goto usage
if "%4%" == "" goto usage
if "%5%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -efix "-%option%" -installDir "%todinstallDir%" -efixDir "%installFixpackDir%"  -efixes %fixpackID%
"%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -efix "-%option%" -installDir "%todinstallDir%" -efixDir "%installFixpackDir%"  -efixes %fixpackID%
goto end

:uninstall
if "%3%" == "" goto usage
if "%4%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -efix "-%option%" -installDir "%todinstallDir%" -efixes %fixpackID%
"%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -efix "-%option%" -installDir "%todinstallDir%" -efixes %fixpackID%
goto end

:listinstall
if "%3%" == "" goto usage
echo "%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack -installDir "%todinstallDir%"
"%JAVA_HOME%\bin\java" -Xmx256m -cp "%INSTALLROOT%installer.jar;%INSTALLROOT%lib\extfile.jar" com.ibm.websphere.update.silent.SilentArgsCollector -fixpack -installDir "%todinstallDir%"
goto end

:usage
echo "For Fix pack:"
echo "Usage: updateSilent.bat fixpack [ install | uninstall | list ] todinstallDir [ fixpackID ] [ tempfixpackDir ] "
echo "For example, updateSilent.bat fixpack install C:\IBM\tivoli\thinkcontrol tio20_fp2_<OS> C:\temp"
echo "For example, updateSilent.bat fixpack uninstall C:\IBM\tivoli\thinkcontrol tio20_fp2_<OS>"
echo "For example, updateSilent.bat fixpack list C:\IBM\tivoli\thinkcontrol"
echo.
echo "For Fix:"
echo "Usage: updateSilent.bat fix [ install | uninstall | list ] todinstallDir [ ID ] [ tempfixDir ]"
echo "For example, updateSilent.bat fix install C:\IBM\tivoli\thinkcontrol IY12345 C:\temp"
echo "For example, updateSilent.bat fix uninstall C:\IBM\tivoli\thinkcontrol IY12345"
echo "For example, updateSilent.bat fix list C:\IBM\tivoli\thinkcontrol"
goto end

:End
IF "%DEBUG_UPDATE%" == "yes" Echo End of [ %LaunchTitle% ]
endlocal